<?php

/**
 * Implementation of hook_views_default_views().
 */
function invite_views_views_default_views() {
  /* exported view begin */
  $view = new view;
  $view->name = 'invite_list';
  $view->description = 'Invite list';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'invite';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'uid' => array(
      'label' => 'Invite owner UID',
      'required' => 1,
      'id' => 'uid',
      'table' => 'invite',
      'field' => 'uid',
      'relationship' => 'none',
    ),
    'invitee' => array(
      'label' => 'Invite registration UID',
      'required' => 1,
      'id' => 'invitee',
      'table' => 'invite',
      'field' => 'invitee',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('fields', array(
    'iid' => array(
      'label' => 'Iid',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'iid',
      'table' => 'invite',
      'field' => 'iid',
      'relationship' => 'none',
    ),
    'created' => array(
      'label' => 'Invite creation time',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'created',
      'table' => 'invite',
      'field' => 'created',
      'relationship' => 'none',
    ),
    'joined' => array(
      'label' => 'Invite joined time',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'joined',
      'table' => 'invite',
      'field' => 'joined',
      'relationship' => 'none',
    ),
    'expiry' => array(
      'label' => 'Invite expiry time',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'expiry',
      'table' => 'invite',
      'field' => 'expiry',
      'relationship' => 'none',
    ),
    'email' => array(
      'label' => 'Invite email adress',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'email',
      'table' => 'invite',
      'field' => 'email',
      'relationship' => 'none',
    ),
    'name' => array(
      'label' => 'Invite owner user name',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 1,
      'overwrite_anonymous' => 0,
      'anonymous_text' => '',
      'exclude' => 0,
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
      'relationship' => 'uid',
    ),
    'name_1' => array(
      'label' => 'Invite registration user name',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 1,
      'overwrite_anonymous' => 1,
      'anonymous_text' => '',
      'exclude' => 0,
      'id' => 'name_1',
      'table' => 'users',
      'field' => 'name',
      'relationship' => 'invitee',
    ),
    'canceled' => array(
      'label' => 'Invite canceled',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'type' => 'yes-no',
      'not' => 0,
      'exclude' => 0,
      'id' => 'canceled',
      'table' => 'invite',
      'field' => 'canceled',
      'relationship' => 'none',
    ),
    'resent' => array(
      'label' => 'Invite resent number',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ',',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'resent',
      'table' => 'invite',
      'field' => 'resent',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'iid' => array(
      'order' => 'ASC',
      'id' => 'iid',
      'table' => 'invite',
      'field' => 'iid',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'administer site configuration',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('title', 'Invite list');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'iid' => 'iid',
      'accept_link' => 'accept_link',
      'canceled' => 'canceled',
      'created' => 'created',
      'email' => 'email',
      'expiry' => 'expiry',
      'joined' => 'joined',
      'uid' => 'uid',
      'invitee' => 'invitee',
      'resend_link' => 'resend_link',
      'resent' => 'resent',
      'withdraw_link' => 'withdraw_link',
      'reg_code' => 'reg_code',
    ),
    'info' => array(
      'iid' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'accept_link' => array(
        'separator' => '',
      ),
      'canceled' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'created' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'email' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'expiry' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'joined' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'uid' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'invitee' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'resend_link' => array(
        'separator' => '',
      ),
      'resent' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'withdraw_link' => array(
        'separator' => '',
      ),
      'reg_code' => array(
        'sortable' => 1,
        'separator' => '',
      ),
    ),
    'default' => 'iid',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'invite_list');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Invite list',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));
  /* exported view end */
  $views[$view->name] = $view;
  return $views;
}
